import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';

import './vendor';
import { GitsearchSharedModule } from 'app/shared/shared.module';
import { GitsearchCoreModule } from 'app/core/core.module';
import { GitsearchAppRoutingModule } from './app-routing.module';
import { GitsearchHomeModule } from './home/home.module';
import { GitsearchEntityModule } from './entities/entity.module';
// jhipster-needle-angular-add-module-import JHipster will add new module here
import { MainComponent } from './layouts/main/main.component';
import { NavbarComponent } from './layouts/navbar/navbar.component';
import { FooterComponent } from './layouts/footer/footer.component';
import { PageRibbonComponent } from './layouts/profiles/page-ribbon.component';
import { ActiveMenuDirective } from './layouts/navbar/active-menu.directive';
import { ErrorComponent } from './layouts/error/error.component';

@NgModule({
  imports: [
    BrowserModule,
    GitsearchSharedModule,
    GitsearchCoreModule,
    GitsearchHomeModule,
    // jhipster-needle-angular-add-module JHipster will add new module here
    GitsearchEntityModule,
    GitsearchAppRoutingModule,
  ],
  declarations: [MainComponent, NavbarComponent, ErrorComponent, PageRibbonComponent, ActiveMenuDirective, FooterComponent],
  bootstrap: [MainComponent],
})
export class GitsearchAppModule {}
